com.io7m.r2.core

## Interface R2ProjectionReadableType

- All Known Subinterfaces:
    R2ProjectionType
  All Known Implementing Classes:
    R2ProjectionFOV, R2ProjectionFrustum, R2ProjectionOrthographic

      public interface R2ProjectionReadableType

  The type of readable projections.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `projectionGetFarXMaximum()`
    `float` | `projectionGetFarXMinimum()`
    `float` | `projectionGetFarYMaximum()`
    `float` | `projectionGetFarYMinimum()`
    `float` | `projectionGetNearXMaximum()`
    `float` | `projectionGetNearXMinimum()`
    `float` | `projectionGetNearYMaximum()`
    `float` | `projectionGetNearYMinimum()`
    `R2WatchableType<R2ProjectionReadableType>` | `projectionGetWatchable()`
    `float` | `projectionGetZFar()`
    `float` | `projectionGetZNear()`
    `void` | `projectionMakeMatrix(com.io7m.jtensors.parameterized.PMatrixWritable4x4FType<R2SpaceEyeType,R2SpaceClipType> m)` Write the projection to the given matrix.
    `void` | `projectionMakeMatrixUntyped(com.io7m.jtensors.MatrixWritable4x4FType m)` Write the projection to the given matrix.

- - ### Method Detail

    - #### projectionMakeMatrix

          void projectionMakeMatrix(com.io7m.jtensors.parameterized.PMatrixWritable4x4FType<R2SpaceEyeType,R2SpaceClipType> m)

      Write the projection to the given matrix.
      Parameters:
        `m` - The output matrix

    - #### projectionMakeMatrixUntyped

          void projectionMakeMatrixUntyped(com.io7m.jtensors.MatrixWritable4x4FType m)

      Write the projection to the given matrix.
      Parameters:
        `m` - The output matrix

    - #### projectionGetNearXMaximum

          float projectionGetNearXMaximum()

      Returns:
        The rightmost edge of the frustum's near plane.

    - #### projectionGetNearXMinimum

          float projectionGetNearXMinimum()

      Returns:
        The leftmost edge of the frustum's near plane.

    - #### projectionGetNearYMaximum

          float projectionGetNearYMaximum()

      Returns:
        The topmost edge of the frustum's near plane.

    - #### projectionGetNearYMinimum

          float projectionGetNearYMinimum()

      Returns:
        The bottommost edge of the frustum's near plane.

    - #### projectionGetZFar

          float projectionGetZFar()

      Returns:
        The value of the projection's far plane.

    - #### projectionGetZNear

          float projectionGetZNear()

      Returns:
        The value of the projection's near plane.

    - #### projectionGetFarXMaximum

          float projectionGetFarXMaximum()

      Returns:
        The rightmost edge of the frustum's far plane.

    - #### projectionGetFarXMinimum

          float projectionGetFarXMinimum()

      Returns:
        The leftmost edge of the frustum's far plane.

    - #### projectionGetFarYMaximum

          float projectionGetFarYMaximum()

      Returns:
        The topmost edge of the frustum's far plane.

    - #### projectionGetFarYMinimum

          float projectionGetFarYMinimum()

      Returns:
        The bottommost edge of the frustum's far plane.

    - #### projectionGetWatchable

          R2WatchableType<R2ProjectionReadableType> projectionGetWatchable()

      Returns:
        The watchable value for this projection

Copyright © 2016 <code@io7m.com> http://io7m.com